import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './plugins/element.js'
import '@/assets/css/globals.css'
import '@/assets/fonts/iconfont.css'
// 注册vue-table-with-tree-grid插件
import TreeTable from 'vue-table-with-tree-grid'

import axios from 'axios'
// 配置请求根路径
axios.defaults.baseURL = 'http://timemeetyou.com:8889/api/private/v1/'
// 添加请求拦截器，为请求添加头部的Authorization参数
axios.interceptors.request.use(config => {
  // 可以通过打印config，打印出请求里面的全部信息
  console.log(config)
  // 这里是为请求头添加Authorization参数，并且设置值为token
  config.headers.Authorization = window.sessionStorage.getItem('token')
  return config
})

Vue.prototype.$axios = axios

Vue.config.productionTip = false

// 挂载TreeTable组件
Vue.component('tree-table', TreeTable)
new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
