import Vue from 'vue'
import VueRouter from 'vue-router'
// 导入路由
import Longin from '@/components/Login.vue'
import Home from '@/components/Home.vue'
import Welcom from '@/components/Welcom.vue'
import User from '@/components/user/User.vue'
import Roles from '@/components/authority/Roles.vue'
import Rights from '@/components/authority/Rights.vue'
import Goods from '@/components/goods/Goods.vue'
import Params from '@/components/goods/Params.vue'
import Categories from '@/components/goods/Categories.vue'

Vue.use(VueRouter)

const routes = [
  { path: '/', redirect: '/login' },
  { path: '/login', component: Longin },
  { path: '/Home', component: Home, redirect: '/welcom',
   children: [
     { path: '/welcom', component: Welcom },
     { path: '/users', component: User },
     { path: '/roles', component: Roles },
     { path: '/rights', component: Rights },
     { path: '/goods', component: Goods },
     { path: '/params', component: Params },
     { path: '/categories', component: Categories }
    ] 
  }
]

const router = new VueRouter({
  routes
})

// 挂载路由守卫
router.beforeEach((to, from, next) => {
  // to将要访问的路径
  // from从哪个路径跳转而来
  // next是一个函数表示放行，调用方式（1）next()放行，（2）next('/login') 不放行强行跳转页面
  // 如果访问的是login页面则可以直接放行
  if (to.path === '/login') return next()
  // 如果不是login页面则需要进行判断看有没有tokon,token是登录成功够保存到sessionSlotr里面的值
  // 获取token的值
  const tokenStr = window.sessionStorage.getItem('token') // eslint-disable-line no-unused-vars
  // 判断token值是否存在,不存在直接跳转到登录页面
  if (!tokenStr) return next('/login')
  // 存在世界放行
  next()
})

export default router
